module Wildsight
  module Tools

    def extract_exception(exception)
      Tools.extract_exception(exception)
    end

    def self.extract_exception(exception)
      result = {
          :message => exception.message,
          :backtrace => exception.backtrace,
          :name => exception.class.name
      }
      if exception.cause
        result[:cause] = extract_exception(exception.cause)
      end
      return result
    end

  end
end