module Wildsight
  module Metrics

    class Statistics

      def initialize(values = [])
        reset(values)
      end

      def add(value = 0)
        @values[:max] = values if @values[:max] == nil || @values[:max] < values
        @values[:min] = values if @values[:min] == nil || @values[:min] > values
        @values[:sum] += value
        @values[:cnt] += 1
      end

      def reset(values = [])
        @values = {
            max: nil,
            min: nil,
            sum: 0,
            cnt: 0
        }
        values.each { |value| add(value) }
      end

    end

  end
end