require 'multi_json'

module Wildsight
  module Transport

    def self.detect
      return @transport if @transport
      begin
        require 'faraday'
        require 'wildsight/transport/faraday'
        return @transport = Wildsight::Transport::FaradayTransport
      rescue => e
      end

      require 'wildsight/transport/net_http'
      return @transport = Wildsight::Transport::NetHttpTransport
    end

  end
end